//package com.ack.xsl.jaxp;
import javax.xml.parsers.*;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.Source;
import javax.xml.transform.Result;

import javax.xml.transform.stream.StreamSource;
import javax.xml.transform.stream.StreamResult;
//import javax.xml.transform.dom.DOMResult;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerConfigurationException;


//import javax.xml.parsers.SAXParser;
//import javax.xml.parsers.SAXParserFactory;
//import javax.xml.parsers.ParserConfigurationException;

//import javax.xml.transform.sax.SAXResult;
//import javax.xml.transform.sax.SAXSource;




// Imported java classes
import java.io.FileOutputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

import java.awt.BorderLayout;
import java.awt.Container;
import java.io.File;
import java.io.InputStream;
import java.io.IOException;
import java.net.URL;
import java.net.MalformedURLException;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;
import java.util.*;
//import java.util.List;
import java.awt.geom.*;


public class XSLTransformer3

{

  public static void main(String[] args)
  {	JFrame w = new n_trans (args.length == 0? "XSLT Transformer" : args[0]);
		w.show();
 	}
}


 class n_trans extends JFrame {
	/**
	  Panel to hold the textfield and the button on the frame. This panel is added to the Frame in the NORTH part of the
	  Frame
	 */
    JPanel panel;
	/**
	  TextFielsd for input file entry. The user uses this to enter the URL where the input file is. This text field has
	  a listener which gets triggered when the user hits return key. The listener has functionality to show the submit
	  button as been pressed. <p> You need to put the functionility for what should be done when this listener is triggered.</p>
*/
File s;
File t;
File r;
JLabel lt;
JLabel ls;
JLabel lr;
    JTextField tTF;
        JTextField sTF;
                JTextField rTF;
	/**
	  Button for submitting the URL. Has an action listener on it which gets called when the button is clicked. You need to
	  put the code to do something when this happens
	 */
    JButton b;
        //JButton a;
	/**
	  Canvas to draw stuff. Draw whatever is in the input file after you parse it.
	 */
	   static private final String newline = "\n";

	n_trans(String l) {
		super(l);		// call inherited constructor
		// we'll use a BorderLayout. This layout divides the Frame real estate into NORTH, SOUTH, EAST, WEST and CENTER parts
		//and you have the control to add a component to any part of your choice
		getContentPane().setLayout(new BorderLayout());
        //my stuff
                setSize(400,300);


         	panel = new JPanel();
         	panel.setLayout(new GridLayout(4,2));
         	final JFileChooser fc = new JFileChooser();
               final JTextArea log = new JTextArea(5,20);
        	log.setMargin(new Insets(5,5,5,5));
       		 log.setEditable(false);


         	panel.add(lt = new JLabel ("Stylesheet"));

         	JButton openButton = new JButton("Open a Stylesheet...");
       		 openButton.addActionListener(new ActionListener() {
           	 public void actionPerformed(ActionEvent e) {
           	     int returnVal = fc.showOpenDialog(n_trans.this);

         		       if (returnVal == JFileChooser.APPROVE_OPTION) {
                    t = fc.getSelectedFile();
         	           //this is where a real application would open the file.
                    log.append("Opening Stylesheet: " + t.getAbsolutePath() + "." + newline);
        	        } else {
                    log.append("Open command cancelled by user." + newline);
        	        }
       	     }
       		 });


		panel.add(openButton);

	//	t.addActionListener(new ActionListener() {
	//		public void actionPerformed(ActionEvent ev) {

	//		}});
		panel.add(ls = new JLabel ("Source XML"));

		JButton open2Button = new JButton("Open a Source...");
       		 open2Button.addActionListener(new ActionListener() {
           	 public void actionPerformed(ActionEvent e) {
           	     int returnVal = fc.showOpenDialog(n_trans.this);

         		       if (returnVal == JFileChooser.APPROVE_OPTION) {
                    s = fc.getSelectedFile();
         	           //this is where a real application would open the file.
                    log.append("Opening Source: " + s.getAbsolutePath() + "." + newline);
        	        } else {
                    log.append("Open command cancelled by user." + newline);
        	        }
       	     }
       		 });

       		 panel.add(open2Button);



		panel.add(lr = new JLabel ("Result File"));


		JButton open3Button = new JButton("Open a result...");
       		 open3Button.addActionListener(new ActionListener() {
           	 public void actionPerformed(ActionEvent e) {
           	     int returnVal = fc.showOpenDialog(n_trans.this);

         		       if (returnVal == JFileChooser.APPROVE_OPTION) {
                     r = fc.getSelectedFile();
         	           //this is where a real application would open the file.
                    log.append("Opening result: " + r.getAbsolutePath() + "." + newline);
        	        } else {
                    log.append("Open command cancelled by user." + newline);
        	        }
       	     }
       		 });

       		panel.add(open3Button);


		panel.add(b = new JButton("Transform"));
		b.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
				// Same as above, get the text and do something
				//		t.getText()
				// and do something with it
			try {
			String tt = t.getAbsolutePath();
			String ts =s.getAbsolutePath();
			String tr = r.getAbsolutePath();
                              transformfile(tt, ts, tr);
                              }
                              catch (NullPointerException e){
                                 e.printStackTrace();
                              }
                              catch (TransformerException te) {
            			//te.printStackTrace();
            			      	}
        			catch (FileNotFoundException te) {
            			//te.printStackTrace();
            			  }
        			catch (IOException te) {
            			//te.printStackTrace();
            			 }
			}});
		panel.add(log);
		// add the panel in the NORTH section of the frame
		getContentPane().add(panel, BorderLayout.CENTER);

		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
				System.exit(0);
			}});
	  }

     private void transformfile(String t, String s, String r)
         throws TransformerException, TransformerConfigurationException,
          FileNotFoundException, IOException
          {
        try {
            Source xmlSource = new StreamSource(s);
            Source xsltSource = new StreamSource(t);
             Result result = new StreamResult(r);

           //  parser.setValidating(false);
           //	parser.setNamespaceAware(false);


            //javax.xml.transform.Result result =
            //    new javax.xml.transform.stream.StreamResult(System.out);
            //DOMResult result = new DOMResult();

            // create an instance of TransformerFactory
            TransformerFactory transFact = TransformerFactory.newInstance();

            Transformer trans = transFact.newTransformer(xsltSource);

            System.out.println("Transforming input");
            trans.transform(xmlSource, result);

           // document = (Document)result.getNode();
            // Set the worldURL before creating J3D structures
              // setWorldURL("");
              // setJava3D();
              //
        } catch (TransformerException te) {
            te.printStackTrace();
        }
    }


}


