<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<!-- npolys for db population
	 XPath node processing got screwy - all or nothing-->

<xsl:output method="text" />

<xsl:template match="/">
compound_parent, bond_id, order, atom1, atom2
    <xsl:apply-templates />
</xsl:template>

<xsl:template match="document" name="document">
  <xsl:apply-templates select="cml"/>
</xsl:template>

<xsl:template match="molecule" name="molecule">
    <xsl:apply-templates/>
</xsl:template>

<xsl:template match="molecule/date">
</xsl:template>
<xsl:template match="molecule/list">
</xsl:template>
<xsl:template match="molecule/string">
</xsl:template>
<xsl:template match="molecule/float">
</xsl:template>

<xsl:template match="molecule/bondArray" name="bondo">

<xsl:for-each select="bond">
   	<xsl:variable name="ptA" select=".//string[@builtin='atomRef'][1]"/>
   	<xsl:variable name="ptB" select=".//string[@builtin='atomRef'][2]"/>
   	<xsl:variable name="order" select=".//string[@builtin='order']"/>
<!--	<xsl:variable name="aNod" select="//atom[@id=$ptA]"/>
	<xsl:variable name="bNod" select="//atom[@id=$ptB]"/>   -->
        <xsl:variable name="pa" select="../@id"/>
	<xsl:variable name="bondID" select="@id"/>



		<xsl:value-of select="$pa"/>,
		<xsl:value-of select="$bondID"/>,
		<xsl:value-of select="$order"/>,
		<xsl:value-of select="$ptA"/>,
		<xsl:value-of select="$ptB"/>

</xsl:for-each>
</xsl:template>



<xsl:template match="molecule/atomArray">
</xsl:template>

<xsl:template match="chimeral/*">
</xsl:template>
<xsl:template match="chimeral/spectrum">
</xsl:template>
<xsl:template match="chimeral/string">
</xsl:template>
<xsl:template match="chimeral/float">
</xsl:template>
<xsl:template match="chimeral/list">
</xsl:template>

</xsl:stylesheet>
