#ifndef atomcommands_h
#define atomcommands_h
//Commands that Atomview uses for message passing
//Here because the message class needs it
const string CLASS_TYPE   = "fileController"; 
//Load the next molecule
const string MOLECULE     = "molecule";
//Unload the specified molecule
const string ATOM     	  = "atom";
const string BOND         = "bond"          ;
//Kill the program
const string DIE          = "die"           ; 
//Do nothing
const string NOTHING      = "nothing"       ; 
//Scale the model size
const string MODELSCALE	  = "modelscale"    ; 
//Set the number of polygons
const string NUMPOLY      = "numpolygons"   ; 
//Scale the world size
const string WORLDSCALE   = "worldscale"    ; 
//Start and stop commands for navigation
const string STOPNAV      = "stopnav"       ;
const string STARTNAV     = "startnav"      ;
//Updating the play bar is troublesome so I only do it if I am told to
const string UPDATEPLAYBAR= "update_play_bar";
//Set the number of polygons
const string NUMPOLYGONS  ="number_of_polygons";
//Set basic file information
const string FILEINFO     = "file_information";
//This sets an atoms color (ATOMCOLOR Atomtype Atomcolor)
const string ATOMCOLOR    = "color";
//These set what you scale on, your current position or the orgin
const string SCALEORIGIN  = "scale_origin";
const string SCALEPOS     = "scale_position";
//Return to orgin
const string GOTOORIGIN   = "goto_origin";
//Set the orgin
const string SETORIGIN    = "set_origin";
#endif
