#include <string>
using namespace std;
#include <dtk.h>
#include "FlexArrayTmpl.H"
#include "ReadAtomFiles.hh"
#include "SharedAtoms.h"

//Look at the header file for information on these functions
//This is a really really simple class 

int DTKSharedAtoms::WriteToSharedMem(string Molecule)
{
	*(Changed)=true;
	readStuff = true;
	//printf("Molecule to write to shared memory= %s\n", Molecule.c_str());
	FileData->addMolecule(Molecule);

	FileData->getAtoms(Molecule, *Data, *BondData);
	//printf("Number of atoms in Data pointer %u\n", Data->getSize());
	return 0;
}

void DTKSharedAtoms::GetAtoms(string Molecule){
	FileData->getAtoms(Molecule, *Data, *BondData);
}

//Read in the atom data from disk and setup the necessary operations to make it available
DTKSharedAtoms::DTKSharedAtoms(char* SharedMemFileName, FlexArray<AtomDef>& TheAtoms, FlexArray<BondDef> & TheBonds, bool& Change)
{
	Changed = &Change;
	Index = 0;
	readStuff = false;
	//Create a new TimeAtomList that contains all of the atoms
	FileData = new MoleculeList();
	//Find out how many files we have to deal with
	//printf("Created the time list ok\n");
	//Get one of the files out to determine the size of shared memory
	Data = &TheAtoms;
	BondData = &TheBonds;
}

DTKSharedAtoms::~DTKSharedAtoms()
{
	//printf("Destroying Shared Atoms");
	delete FileData;
}
