////////////////// Messenger.h ////////////////////////////
//
// this class will hold the shared mem Send so you don't have to
// define it 10 million times.
// ////////////////////////////////
//By Mark J. Soltys II, modified by Andrew A. Ray
//

#ifndef MESSENGER_H
#define MESSENGER_H

#include <string>
#include <dtk.h>

using namespace std;

class Messenger
{
  public:

    // Use this if you don't know your targetClass
    int SendCommand(string Command);
    // Use this if you do.
    int SendCommand(string Command, string targetClass);   
    Messenger();
    Messenger(char* Filename);
    ~Messenger();
    
  private:
    // New Message stuff.
    dtkSharedMem* Send;
    
};
#endif
